GStreamer::Plugin(3)

NAME
GStreamer::Plugin

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Plugin

METHODS

  string = $plugin->get_description

  string = $plugin->get_filename

  boolean = $plugin->is_loaded

  string = $plugin->get_license

  plugin = $plugin->load

  plugin = GStreamer::Plugin::load_by_name ($name)

•   $name (string)

  plugin = GStreamer::Plugin::load_file ($filename)

•   $filename (string)

  boolean = $plugin->name_filter ($name)

•   $name (string)

  string = $plugin->get_name

  string = $plugin->get_origin

  string = $plugin->get_package

  string = $plugin->get_source

  string = $plugin->get_version

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.